#-------------------------------------------------
#
# Project created by QtCreator 2017-11-29T15:22:43
#
#-------------------------------------------------

QT       += core
QT       += core gui
QT       += core network
QT       += uitools

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = Legacy
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
    main.cpp \
    mainwindow.cpp \
    config.cpp \
    network.cpp \
    helper.cpp \
    downloadmanager.cpp \
    gui.cpp \
    filesystem.cpp

HEADERS += \
        mainwindow.h \
    app.h \
    config.h \
    network.h \
    helper.h \
    downloadmanager.h \
    gui.h \
    filesystem.h

FORMS += \
        mainwindow.ui

LIBS += -luser32 -lshell32 -lgdi32

RESOURCES += \
    res.qrc \
    res.qrc

win32:RC_ICONS = $$PWD/res/appicon.ico

unix:!macx|win32: LIBS += -L$$PWD/lib/lib/ -lLotroDat_static

INCLUDEPATH += $$PWD/lib/include
DEPENDPATH += $$PWD/lib/include

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lib/lib/LotroDat_static.lib
else:unix:!macx|win32-g++: PRE_TARGETDEPS += $$PWD/lib/lib/libLotroDat_static.a

unix:!macx|win32: LIBS += -L$$PWD/lib/Third_party/lib/ -lyaml-cpp

INCLUDEPATH += $$PWD/lib/Third_party
DEPENDPATH += $$PWD/lib/Third_party

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lib/Third_party/lib/yaml-cpp.lib
else:unix:!macx|win32-g++: PRE_TARGETDEPS += $$PWD/lib/Third_party/lib/libyaml-cpp.a

unix:!macx|win32: LIBS += -L$$PWD/lib/Third_party/lib/ -lzlibstatic

INCLUDEPATH += $$PWD/lib/Third_party
DEPENDPATH += $$PWD/lib/Third_party

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lib/Third_party/lib/zlibstatic.lib
else:unix:!macx|win32-g++: PRE_TARGETDEPS += $$PWD/lib/Third_party/lib/libzlibstatic.a
